'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-a61d733f.js');
const index$1 = require('./index-5eaa1c3a.js');
const dataTestIds_enum = require('./dataTestIds.enum-97d349ab.js');
const getIconHtmlFromIconName = require('./getIconHtmlFromIconName-b7f8381d.js');

const customToastCss = ".toast-wrapper{border-radius:0.25rem;box-shadow:0 0.25rem 0.75rem rgba(0, 0, 0, 0.1);margin-bottom:0.7rem;padding:0.5rem;background-color:#fff;position:relative}.icon-close{position:absolute;right:16px;top:16px;cursor:pointer;font-size:1.5rem;font-weight:700;line-height:1;color:#000;text-shadow:0 1px 0 #fff;opacity:0.5;padding:0;background-color:rgba(0, 0, 0, 0);border:0;display:flex;align-items:center;margin:0 0.5rem;width:12px}.toast-body{display:flex;align-items:center;flex:1;font-size:16px}";
const CustomToastStyle0 = customToastCss;

const CustomToast = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.handleDeleteToast = index.createEvent(this, "handleDeleteToast", 7);
    }
    render() {
        const customToast = (index.h("div", { key: '12f3c2803fd7ff0ea4437512bfbcf89e7c662e6f', class: "toast-wrapper" }, index.h("button", { key: '454ba7a707c00c64cdc266e3b5244f0640b314da', onClick: () => this.handleDeleteToast.emit(), type: "button", class: "icon-close", innerHTML: index$1.getIconHtmlFromIconDefinition(index$1.faTimes) }), index.h("div", { key: '3f05fe34a4169efa477883c587e6d7fc62f6e621', class: "toast-body", ref: container => this.initializeToast(container) })));
        return customToast;
    }
    initializeToast(container) {
        if (!container || container.hasChildNodes()) {
            return;
        }
        const customElement = this.toast.instantiateToastElement();
        if (!customElement) {
            return;
        }
        container.appendChild(customElement);
    }
};
CustomToast.style = CustomToastStyle0;

const simpleToastCss = ".content {\n  display: flex;\n  align-items: center;\n}\n\n.content-left {\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  flex-direction: column;\n  padding-left: 0.5rem;\n  padding-right: 0.75rem;\n\n  &.no-icon {\n    display: none;\n  }\n}\n\n.content-icon {\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  width: 3rem;\n  height: 3rem;\n  border-radius: 50%;\n\n  svg {\n    height: auto;\n    width: 20px;\n\n    path {\n      fill: white;\n    }\n  }\n}\n\n.icon-close {\n  position: absolute;\n  right: 16px;\n  top: 16px;\n  font-size: 1.5rem;\n  font-weight: 700;\n  line-height: 1;\n  color: #000;\n  text-shadow: 0 1px 0 #fff;\n  opacity: 0.5;\n  padding: 0;\n  background-color: rgba(0, 0, 0, 0);\n  border: 0;\n  display: flex;\n  align-items: center;\n  margin: 0 0.5rem;\n  width: 12px;\n}\n\n.content-right {\n  display: flex;\n  flex-direction: column;\n  justify-content: center;\n  width: 100%;\n}\n\n.content-heading {\n  display: flex;\n  justify-content: space-between;\n  align-items: center;\n  margin-bottom: 0.25rem;\n\n  h5 {\n    margin: 0;\n    margin-bottom: 0.5rem;\n    font-weight: 500;\n    line-height: 1.2;\n    font-size: 1.25rem;\n  }\n}\n\n.content-message {\n  margin-top: 0.25rem;\n  font-size: 1rem;\n  &.no-margin {\n    margin-top: 0rem;\n  }\n}\n\n.subtitle {\n  font-size: 0.9rem;\n  font-weight: 500;\n  color: #6c757d;\n}\n\n.success {\n  background-color: #5cb85c;\n}\n\n.warning {\n  background-color: #ffc107;\n}\n\n.danger {\n  background-color: #d9534f;\n}\n";
const SimpleToastStyle0 = simpleToastCss;

const SimpleToast = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.handleDeleteToast = index.createEvent(this, "handleDeleteToast", 7);
    }
    render() {
        const { icon, iconClassName, title, message, subtitle } = this.toast;
        let iconHtml = null;
        if (typeof icon === 'string') {
            iconHtml = getIconHtmlFromIconName.getIconHtmlFromIconName(icon);
        }
        if (icon instanceof HTMLElement) {
            iconHtml = icon.outerHTML;
        }
        return (index.h("transaction-toast-wrapper", { key: '776176d6427fb4f2a648fab2a8e8401281e14159', wrapperId: `toast-${this.toast.toastId}` }, index.h("div", { key: 'd258f9f3f3ebb7303cff49e1cb0c24a554db1639', class: "content", "data-testid": dataTestIds_enum.DataTestIdsEnum.transactionToastContent }, iconHtml && (index.h("div", { key: '0beee35f34d64e63d6a3007b00b85b66d32f48df', class: index$1.classNames('content-left', { 'no-icon': !iconHtml }) }, index.h("div", { key: '94b016e9d018e7972c06635cdead7b14b1d7388a', class: index$1.classNames('content-icon', iconClassName), innerHTML: iconHtml }))), index.h("div", { key: '42103aaba39010b8ec49e2f3683b4a4365417115', class: "content-right" }, title && (index.h("div", { key: 'a70a83f7e8ed44f5d0f26641721352dea9aad6ab', class: "content-heading" }, index.h("h5", { key: 'b6821910596b1659608677ee4bf7248cac6e63dc', class: "content-heading-title", "data-testid": dataTestIds_enum.DataTestIdsEnum.transactionToastTitle }, title))), index.h("button", { key: '2b60a4072630197460c564d3a62fe8b539b6a9ee', onClick: () => this.handleDeleteToast.emit(), type: "button", class: "icon-close", innerHTML: index$1.getIconHtmlFromIconDefinition(index$1.faTimes) }), subtitle && index.h("div", { key: '8180f83a160b36e89d5edf0f6760d858636984c1', class: "subtitle" }, subtitle), message && index.h("div", { key: '2d49d69ef9c11d956800e30641741a0c803c803d', class: index$1.classNames('content-message', { 'no-margin': !title && !subtitle }) }, message)))));
    }
};
SimpleToast.style = SimpleToastStyle0;

exports.custom_toast = CustomToast;
exports.simple_toast = SimpleToast;

//# sourceMappingURL=custom-toast_2.cjs.entry.js.map