'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-a61d733f.js');

const GenericToast = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.handleDeleteToast = index.createEvent(this, "handleDeleteToast", 7);
    }
    render() {
        const isComponentToast = 'instantiateToastElement' in this.toast;
        if (isComponentToast) {
            return index.h("custom-toast", { toast: this.toast, onHandleDeleteToast: () => this.handleDeleteToast.emit(this.toast.toastId) });
        }
        return index.h("simple-toast", { toast: this.toast, onHandleDeleteToast: () => this.handleDeleteToast.emit(this.toast.toastId) });
    }
};

const TransactionToast = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.handleDeleteToast = index.createEvent(this, "handleDeleteToast", 7);
        this.toastId = '';
        this.processedTransactionsStatus = '';
        this.transactions = [];
    }
    render() {
        var _a, _b;
        return (index.h("transaction-toast-wrapper", { key: 'e2199d9a8a87ac110f8623e64c7f99a4790cc19c', wrapperId: `toast-${this.toastId}`, wrapperClass: this.wrapperClass }, index.h("transaction-toast-progress", { key: this.toastId, progressClass: (_a = this.transactionProgressState) === null || _a === void 0 ? void 0 : _a.progressClass, currentRemaining: (_b = this.transactionProgressState) === null || _b === void 0 ? void 0 : _b.currentRemaining }, index.h("transaction-toast-content", { key: '99a4bea7453d57203aae662a137c1f38705abc67', onDeleteToast: () => this.handleDeleteToast.emit(this.toastId), processedTransactionsStatus: this.processedTransactionsStatus, toastDataState: this.toastDataState, transactions: this.transactions }))));
    }
};

exports.generic_toast = GenericToast;
exports.transaction_toast = TransactionToast;

//# sourceMappingURL=generic-toast_2.cjs.entry.js.map