'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-a61d733f.js');
const index$1 = require('./index-5eaa1c3a.js');
const dataTestIds_enum = require('./dataTestIds.enum-97d349ab.js');
const getIconHtmlFromIconName = require('./getIconHtmlFromIconName-b7f8381d.js');

const transactionToastContentCss = ".content {\n  display: flex;\n  align-items: center;\n}\n.content-left {\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  flex-direction: column;\n  padding-left: 0.5rem;\n  padding-right: 0.75rem;\n}\n.success {\n  background-color: #5cb85c;\n}\n.warning {\n  background-color: #ffc107;\n}\n.danger {\n  background-color: #d9534f;\n}\n.content-icon {\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  width: 3rem;\n  height: 3rem;\n  border-radius: 50%;\n  svg {\n    height: auto;\n    width: 20px;\n\n    path {\n      fill: white;\n    }\n  }\n}\n\n.icon-close {\n  cursor: pointer;\n  float: right;\n  font-size: 1.5rem;\n  font-weight: 700;\n  line-height: 1;\n  color: #000;\n  text-shadow: 0 1px 0 #fff;\n  opacity: 0.5;\n  padding: 0;\n  background-color: rgba(0, 0, 0, 0);\n  border: 0;\n  display: flex;\n  align-items: center;\n  margin: 0 0.5rem;\n  width: 12px;\n}\n\n.content-right {\n  display: block;\n  overflow: hidden;\n  width: 100%;\n}\n\n.content-heading {\n  display: flex;\n  justify-content: space-between;\n  margin-bottom: 0.25rem;\n}\n\n.content-heading-title {\n  margin: 0;\n  margin-bottom: 0.5rem;\n  font-weight: 500;\n  line-height: 1.2;\n  font-size: 1.25rem;\n}\n";
const TransactionToastContentStyle0 = transactionToastContentCss;

const TransactionToastContent = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.deleteToast = index.createEvent(this, "deleteToast", 7);
    }
    render() {
        const { icon, iconClassName, title, hasCloseButton } = this.toastDataState;
        let iconHtml = null;
        if (typeof icon === 'string') {
            iconHtml = getIconHtmlFromIconName.getIconHtmlFromIconName(icon);
        }
        if (icon instanceof HTMLElement) {
            iconHtml = icon.outerHTML;
        }
        return (index.h("div", { key: '24365132625772cdc90e148680420240b8990bc3', class: "content", "data-testid": dataTestIds_enum.DataTestIdsEnum.transactionToastContent }, index.h("div", { key: '45707cf74238000d29fb867a3f3094dd0ef16eac', class: "content-left" }, index.h("div", { key: '1b37c726419a79a7cd61990e3fd649d2bb141999', class: index$1.classNames('content-icon', iconClassName), innerHTML: iconHtml })), index.h("div", { key: 'f368c827e0c00ad10d32d83748a5d39a732bb94a', class: "content-right" }, index.h("div", { key: '7cfcdfbf844201b09bff5a57b07804aaa4385fb5', class: "content-heading" }, index.h("h5", { key: 'a4f99e132693565577148cd0971d3c8347d7b510', class: "content-heading-title", "data-testid": dataTestIds_enum.DataTestIdsEnum.transactionToastTitle }, title), hasCloseButton && index.h("button", { key: 'eb599222a69290d6567f77b3d0bf184d856898f0', onClick: () => this.deleteToast.emit(), type: "button", class: "icon-close", innerHTML: index$1.getIconHtmlFromIconDefinition(index$1.faTimes) })), index.h("div", { key: '581d7306144a66dae9f075bf580e9985cb9e2dec', class: "content-heading-title" }, index.h("transaction-toast-details", { key: '5659fdfe36daceb08817fe070f5cbb52aaddab83', transactions: this.transactions, processedTransactionsStatus: this.processedTransactionsStatus })))));
    }
};
TransactionToastContent.style = TransactionToastContentStyle0;

const transactionToastDetailsCss = ".status-title{font-size:0.875rem;margin:0.25rem 0 0.5rem;line-height:1.5}";
const TransactionToastDetailsStyle0 = transactionToastDetailsCss;

const TransactionDetails = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    render() {
        if (this.transactions == null) {
            return null;
        }
        return (index.h(index.Fragment, null, index.h("div", { class: "status-title" }, this.processedTransactionsStatus), this.transactions.map(({ hash, status }) => (index.h("transaction-toast-details-body", { transactionClass: this.transactionClass, hash: hash, status: status, key: hash })))));
    }
};
TransactionDetails.style = TransactionToastDetailsStyle0;

const transactionToastProgressCss = ".transaction-toast-progress{position:relative}.transaction-toast-bar{position:absolute;pointer-events:none;left:-0.5rem;right:-0.5rem;bottom:-0.5rem;top:-0.5rem;background-color:gray;opacity:0.25;transition:width 0.6s ease;max-width:calc(100% + 1rem)}";
const TransactionToastProgressStyle0 = transactionToastProgressCss;

const ToastProgress = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.progressClass = 'transaction-toast-progress';
    }
    render() {
        if (!this.currentRemaining) {
            return index.h("slot", null);
        }
        return (index.h("div", { class: this.progressClass }, index.h("div", { class: "transaction-toast-bar", style: { width: `${this.currentRemaining}%` }, role: "progressbar", "aria-valuemin": 0, "aria-valuemax": 100, "aria-valnow": this.currentRemaining }), index.h("slot", null)));
    }
};
ToastProgress.style = TransactionToastProgressStyle0;

exports.transaction_toast_content = TransactionToastContent;
exports.transaction_toast_details = TransactionDetails;
exports.transaction_toast_progress = ToastProgress;

//# sourceMappingURL=transaction-toast-content_3.cjs.entry.js.map