'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index$1 = require('./index-a61d733f.js');
const index = require('./index-5eaa1c3a.js');
const dataTestIds_enum = require('./dataTestIds.enum-97d349ab.js');

const transactionToastDetailsBodyCss = ".transaction-container {\n  line-height: 1.5;\n  font-size: 0.875rem;\n  padding-right: 0.5rem;\n  display: flex;\n  align-items: center;\n  margin-bottom: 0.2rem;\n\n  .icon {\n    svg {\n      font-size: 0.875rem;\n      color: #6c757d;\n      margin-right: 0.25rem;\n      width: 1rem;\n    }\n  }\n  .fa-spin {\n    svg {\n      animation: spin 2s linear infinite;\n    }\n  }\n\n  .trim {\n    width: 11rem;\n    white-space: nowrap;\n    margin-right: 1rem;\n  }\n}\n\n@keyframes spin {\n  0% {\n    transform: rotate(0deg);\n  }\n  100% {\n    transform: rotate(360deg);\n  }\n}\n";
const TransactionToastDetailsBodyStyle0 = transactionToastDetailsBodyCss;

const iconData = {
    pending: index.faCircleNotch,
    success: index.faCheck,
    fail: index.faTimes,
    invalid: index.faTimes,
};
const TransactionDetailsBody = class {
    constructor(hostRef) {
        index$1.registerInstance(this, hostRef);
        this.transactionClass = 'transaction-container';
    }
    render() {
        const statusIcon = this.status ? iconData[this.status] : null;
        const iconHtml = statusIcon ? index.getIconHtmlFromIconDefinition(statusIcon) : null;
        return (index$1.h("div", { class: this.transactionClass, key: this.hash, "data-testid": dataTestIds_enum.DataTestIdsEnum.transactionDetailsToastBody }, iconHtml && (index$1.h("div", { key: '0b822a578553598633efdb8ba0c6fb3b1b455e9f', innerHTML: iconHtml, class: index.classNames('icon', {
                'fa-spin': this.status === 'pending',
            }) })), index$1.h("span", { key: '9ec4e3f008f4da8a1c3a46edf91f0ac2a9cf419b' }, this.hash.length > 12 ? `${this.hash.slice(0, 6)}...${this.hash.slice(-6)}` : this.hash)));
    }
};
TransactionDetailsBody.style = TransactionToastDetailsBodyStyle0;

exports.transaction_toast_details_body = TransactionDetailsBody;

//# sourceMappingURL=transaction-toast-details-body.cjs.entry.js.map