import { h } from "@stencil/core";
import { getIconHtmlFromIconDefinition } from "../../utils/icons/getIconHtmlFromIconDefinition";
import { faArrowUpRightFromSquare } from "@fortawesome/free-solid-svg-icons";
export class ExplorerLink {
    constructor() {
        this.class = 'explorer-link';
    }
    render() {
        var _a, _b;
        const icon = getIconHtmlFromIconDefinition((_a = this.icon) !== null && _a !== void 0 ? _a : faArrowUpRightFromSquare);
        return (h("a", { key: 'd7c5b1f5dcd06fbd1d110f51c0a39311676e1c61', "data-testid": this.dataTestId, href: this.link, target: "_blank", class: this.class, rel: "noreferrer" }, (_b = this.text) !== null && _b !== void 0 ? _b : h("span", { key: 'cd89c0f65244c5c7e03b06db1b64d84a39a0f6b5', innerHTML: icon })));
    }
    static get is() { return "explorer-link"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["explorer-link.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["explorer-link.css"]
        };
    }
    static get properties() {
        return {
            "class": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "class",
                "reflect": false,
                "defaultValue": "'explorer-link'"
            },
            "dataTestId": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "data-test-id",
                "reflect": false
            },
            "icon": {
                "type": "unknown",
                "mutable": false,
                "complexType": {
                    "original": "IconDefinition",
                    "resolved": "IconDefinition",
                    "references": {
                        "IconDefinition": {
                            "location": "import",
                            "path": "@fortawesome/free-solid-svg-icons",
                            "id": "node_modules::IconDefinition"
                        }
                    }
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false
            },
            "link": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "link",
                "reflect": false
            },
            "text": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "text",
                "reflect": false
            }
        };
    }
}
//# sourceMappingURL=explorer-link.js.map
