import { faTimes } from "@fortawesome/free-solid-svg-icons";
import { h } from "@stencil/core";
import classNames from "classnames";
import { DataTestIdsEnum } from "../../../../../../constants/dataTestIds.enum";
import { getIconHtmlFromIconDefinition } from "../../../../../../utils/icons/getIconHtmlFromIconDefinition";
import { getIconHtmlFromIconName } from "../../../../../../utils/icons/getIconHtmlFromIconName";
export class SimpleToast {
    render() {
        const { icon, iconClassName, title, message, subtitle } = this.toast;
        let iconHtml = null;
        if (typeof icon === 'string') {
            iconHtml = getIconHtmlFromIconName(icon);
        }
        if (icon instanceof HTMLElement) {
            iconHtml = icon.outerHTML;
        }
        return (h("transaction-toast-wrapper", { key: '776176d6427fb4f2a648fab2a8e8401281e14159', wrapperId: `toast-${this.toast.toastId}` }, h("div", { key: 'd258f9f3f3ebb7303cff49e1cb0c24a554db1639', class: "content", "data-testid": DataTestIdsEnum.transactionToastContent }, iconHtml && (h("div", { key: '0beee35f34d64e63d6a3007b00b85b66d32f48df', class: classNames('content-left', { 'no-icon': !iconHtml }) }, h("div", { key: '94b016e9d018e7972c06635cdead7b14b1d7388a', class: classNames('content-icon', iconClassName), innerHTML: iconHtml }))), h("div", { key: '42103aaba39010b8ec49e2f3683b4a4365417115', class: "content-right" }, title && (h("div", { key: 'a70a83f7e8ed44f5d0f26641721352dea9aad6ab', class: "content-heading" }, h("h5", { key: 'b6821910596b1659608677ee4bf7248cac6e63dc', class: "content-heading-title", "data-testid": DataTestIdsEnum.transactionToastTitle }, title))), h("button", { key: '2b60a4072630197460c564d3a62fe8b539b6a9ee', onClick: () => this.handleDeleteToast.emit(), type: "button", class: "icon-close", innerHTML: getIconHtmlFromIconDefinition(faTimes) }), subtitle && h("div", { key: '8180f83a160b36e89d5edf0f6760d858636984c1', class: "subtitle" }, subtitle), message && h("div", { key: '2d49d69ef9c11d956800e30641741a0c803c803d', class: classNames('content-message', { 'no-margin': !title && !subtitle }) }, message)))));
    }
    static get is() { return "simple-toast"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["simple-toast.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["simple-toast.css"]
        };
    }
    static get properties() {
        return {
            "toast": {
                "type": "unknown",
                "mutable": false,
                "complexType": {
                    "original": "ISimpleToast",
                    "resolved": "ISimpleToast",
                    "references": {
                        "ISimpleToast": {
                            "location": "import",
                            "path": "components/toasts-list/components/transaction-toast/transaction-toast.type",
                            "id": "src/components/toasts-list/components/transaction-toast/transaction-toast.type.ts::ISimpleToast"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false
            }
        };
    }
    static get events() {
        return [{
                "method": "handleDeleteToast",
                "name": "handleDeleteToast",
                "bubbles": true,
                "cancelable": true,
                "composed": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "complexType": {
                    "original": "void",
                    "resolved": "void",
                    "references": {}
                }
            }];
    }
}
//# sourceMappingURL=simple-toast.js.map
