import { h } from "@stencil/core";
import { DataTestIdsEnum } from "../../../../constants/dataTestIds.enum";
export class TransactionHash {
    render() {
        return (h("div", { key: 'a28750953bb9b1d2fde8b2e03b89f0461f14b95d', class: "transactions-table-body-cell" }, h("transaction-icon", { key: 'e31f2421a48a2b8093ef73d85d765947a1048c6a', "icon-info": this.transaction.iconInfo }), h("explorer-link", { key: '2022d41b5a8f0592dca4dba20ca0eceda6179669', dataTestId: DataTestIdsEnum.transactionLink, link: this.transaction.link, text: this.transaction.txHash })));
    }
    static get is() { return "transaction-hash"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["transaction-hash.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["transaction-hash.css"]
        };
    }
    static get properties() {
        return {
            "transaction": {
                "type": "unknown",
                "mutable": false,
                "complexType": {
                    "original": "ITransactionsTableRow",
                    "resolved": "ITransactionsTableRow",
                    "references": {
                        "ITransactionsTableRow": {
                            "location": "import",
                            "path": "../../transactions-table.type",
                            "id": "src/components/transactions-table/transactions-table.type.ts::ITransactionsTableRow"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false
            }
        };
    }
}
//# sourceMappingURL=transaction-hash.js.map
