import { h } from "@stencil/core";
import { getIconHtmlFromIconDefinition } from "../../../../utils/icons/getIconHtmlFromIconDefinition";
import classNames from "classnames";
import { faTimes } from "@fortawesome/free-solid-svg-icons";
export class TransactionIcon {
    render() {
        const iconHtml = getIconHtmlFromIconDefinition(this.iconInfo.icon);
        return (h("div", { key: 'd693445f38195307c3a43a63104ed10750786336', class: classNames({
                'fa-sm': this.iconInfo.icon === faTimes,
            }), innerHTML: iconHtml, title: this.iconInfo.tooltip }));
    }
    static get is() { return "transaction-icon"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["transaction-icon.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["transaction-icon.css"]
        };
    }
    static get properties() {
        return {
            "iconInfo": {
                "type": "unknown",
                "mutable": false,
                "complexType": {
                    "original": "ITransactionIconInfo",
                    "resolved": "ITransactionIconInfo",
                    "references": {
                        "ITransactionIconInfo": {
                            "location": "import",
                            "path": "../../transactions-table.type",
                            "id": "src/components/transactions-table/transactions-table.type.ts::ITransactionIconInfo"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false
            }
        };
    }
}
//# sourceMappingURL=transaction-icon.js.map
