import { p as proxyCustomElement, H, h } from './p-4a8dc038.js';
import { D as DataTestIdsEnum } from './p-9e82c699.js';

const formatAmountCss = ".int-amount{color:inherit}.decimals{color:inherit}.symbol{color:inherit}";
const FormatAmountStyle0 = formatAmountCss;

const FormatAmount$1 = /*@__PURE__*/ proxyCustomElement(class FormatAmount extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this.dataTestId = DataTestIdsEnum.formatAmountComponent;
    }
    render() {
        return this.isValid ? this.renderValid() : this.renderInvalid();
    }
    renderInvalid() {
        return (h("span", { "data-testid": this.dataTestId, class: this.class }, h("span", { class: "int-amount", "data-testid": DataTestIdsEnum.formatAmountInt }, "...")));
    }
    renderValid() {
        return (h("span", { "data-testid": this.dataTestId, class: this.class }, h("span", { class: "int-amount", "data-testid": DataTestIdsEnum.formatAmountInt }, this.valueInteger), this.valueDecimal && (h("span", { class: "decimals", "data-testid": DataTestIdsEnum.formatAmountDecimals }, ".", this.valueDecimal)), this.label && (h("span", { class: {
                symbol: true,
                [this.labelClass]: Boolean(this.labelClass),
            }, "data-testid": DataTestIdsEnum.formatAmountSymbol }, this.label))));
    }
    static get style() { return FormatAmountStyle0; }
}, [1, "format-amount", {
        "class": [1],
        "dataTestId": [1, "data-test-id"],
        "isValid": [4, "is-valid"],
        "label": [1],
        "labelClass": [1, "label-class"],
        "valueDecimal": [1, "value-decimal"],
        "valueInteger": [1, "value-integer"]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["format-amount"];
    components.forEach(tagName => { switch (tagName) {
        case "format-amount":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, FormatAmount$1);
            }
            break;
    } });
}
defineCustomElement$1();

const FormatAmount = FormatAmount$1;
const defineCustomElement = defineCustomElement$1;

export { FormatAmount, defineCustomElement };

//# sourceMappingURL=format-amount.js.map