import { p as proxyCustomElement, H, c as createEvent, h } from './p-4a8dc038.js';
import { g as getIconHtmlFromIconDefinition, f as faTimes } from './p-c259d0a4.js';

const customToastCss = ".toast-wrapper{border-radius:0.25rem;box-shadow:0 0.25rem 0.75rem rgba(0, 0, 0, 0.1);margin-bottom:0.7rem;padding:0.5rem;background-color:#fff;position:relative}.icon-close{position:absolute;right:16px;top:16px;cursor:pointer;font-size:1.5rem;font-weight:700;line-height:1;color:#000;text-shadow:0 1px 0 #fff;opacity:0.5;padding:0;background-color:rgba(0, 0, 0, 0);border:0;display:flex;align-items:center;margin:0 0.5rem;width:12px}.toast-body{display:flex;align-items:center;flex:1;font-size:16px}";
const CustomToastStyle0 = customToastCss;

const CustomToast = /*@__PURE__*/ proxyCustomElement(class CustomToast extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this.handleDeleteToast = createEvent(this, "handleDeleteToast", 7);
    }
    render() {
        const customToast = (h("div", { key: '12f3c2803fd7ff0ea4437512bfbcf89e7c662e6f', class: "toast-wrapper" }, h("button", { key: '454ba7a707c00c64cdc266e3b5244f0640b314da', onClick: () => this.handleDeleteToast.emit(), type: "button", class: "icon-close", innerHTML: getIconHtmlFromIconDefinition(faTimes) }), h("div", { key: '3f05fe34a4169efa477883c587e6d7fc62f6e621', class: "toast-body", ref: container => this.initializeToast(container) })));
        return customToast;
    }
    initializeToast(container) {
        if (!container || container.hasChildNodes()) {
            return;
        }
        const customElement = this.toast.instantiateToastElement();
        if (!customElement) {
            return;
        }
        container.appendChild(customElement);
    }
    static get style() { return CustomToastStyle0; }
}, [1, "custom-toast", {
        "toast": [16]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["custom-toast"];
    components.forEach(tagName => { switch (tagName) {
        case "custom-toast":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, CustomToast);
            }
            break;
    } });
}
defineCustomElement();

export { CustomToast as C, defineCustomElement as d };

//# sourceMappingURL=p-1e57695e.js.map