import { p as proxyCustomElement, H, c as createEvent, h } from './p-4a8dc038.js';
import { g as getIconHtmlFromIconDefinition, f as faTimes } from './p-c259d0a4.js';
import { c as classNames } from './p-12360e4c.js';
import { D as DataTestIdsEnum } from './p-9e82c699.js';
import { g as getIconHtmlFromIconName } from './p-15fcc231.js';
import { d as defineCustomElement$2 } from './p-807e6b6a.js';
import { d as defineCustomElement$1 } from './p-6287e380.js';

const transactionToastContentCss = ".content {\n  display: flex;\n  align-items: center;\n}\n.content-left {\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  flex-direction: column;\n  padding-left: 0.5rem;\n  padding-right: 0.75rem;\n}\n.success {\n  background-color: #5cb85c;\n}\n.warning {\n  background-color: #ffc107;\n}\n.danger {\n  background-color: #d9534f;\n}\n.content-icon {\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  width: 3rem;\n  height: 3rem;\n  border-radius: 50%;\n  svg {\n    height: auto;\n    width: 20px;\n\n    path {\n      fill: white;\n    }\n  }\n}\n\n.icon-close {\n  cursor: pointer;\n  float: right;\n  font-size: 1.5rem;\n  font-weight: 700;\n  line-height: 1;\n  color: #000;\n  text-shadow: 0 1px 0 #fff;\n  opacity: 0.5;\n  padding: 0;\n  background-color: rgba(0, 0, 0, 0);\n  border: 0;\n  display: flex;\n  align-items: center;\n  margin: 0 0.5rem;\n  width: 12px;\n}\n\n.content-right {\n  display: block;\n  overflow: hidden;\n  width: 100%;\n}\n\n.content-heading {\n  display: flex;\n  justify-content: space-between;\n  margin-bottom: 0.25rem;\n}\n\n.content-heading-title {\n  margin: 0;\n  margin-bottom: 0.5rem;\n  font-weight: 500;\n  line-height: 1.2;\n  font-size: 1.25rem;\n}\n";
const TransactionToastContentStyle0 = transactionToastContentCss;

const TransactionToastContent = /*@__PURE__*/ proxyCustomElement(class TransactionToastContent extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this.deleteToast = createEvent(this, "deleteToast", 7);
    }
    render() {
        const { icon, iconClassName, title, hasCloseButton } = this.toastDataState;
        let iconHtml = null;
        if (typeof icon === 'string') {
            iconHtml = getIconHtmlFromIconName(icon);
        }
        if (icon instanceof H) {
            iconHtml = icon.outerHTML;
        }
        return (h("div", { key: '24365132625772cdc90e148680420240b8990bc3', class: "content", "data-testid": DataTestIdsEnum.transactionToastContent }, h("div", { key: '45707cf74238000d29fb867a3f3094dd0ef16eac', class: "content-left" }, h("div", { key: '1b37c726419a79a7cd61990e3fd649d2bb141999', class: classNames('content-icon', iconClassName), innerHTML: iconHtml })), h("div", { key: 'f368c827e0c00ad10d32d83748a5d39a732bb94a', class: "content-right" }, h("div", { key: '7cfcdfbf844201b09bff5a57b07804aaa4385fb5', class: "content-heading" }, h("h5", { key: 'a4f99e132693565577148cd0971d3c8347d7b510', class: "content-heading-title", "data-testid": DataTestIdsEnum.transactionToastTitle }, title), hasCloseButton && h("button", { key: 'eb599222a69290d6567f77b3d0bf184d856898f0', onClick: () => this.deleteToast.emit(), type: "button", class: "icon-close", innerHTML: getIconHtmlFromIconDefinition(faTimes) })), h("div", { key: '581d7306144a66dae9f075bf580e9985cb9e2dec', class: "content-heading-title" }, h("transaction-toast-details", { key: '5659fdfe36daceb08817fe070f5cbb52aaddab83', transactions: this.transactions, processedTransactionsStatus: this.processedTransactionsStatus })))));
    }
    static get style() { return TransactionToastContentStyle0; }
}, [1, "transaction-toast-content", {
        "transactions": [16],
        "toastDataState": [16],
        "processedTransactionsStatus": [1, "processed-transactions-status"]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["transaction-toast-content", "transaction-toast-details", "transaction-toast-details-body"];
    components.forEach(tagName => { switch (tagName) {
        case "transaction-toast-content":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TransactionToastContent);
            }
            break;
        case "transaction-toast-details":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
        case "transaction-toast-details-body":
            if (!customElements.get(tagName)) {
                defineCustomElement$1();
            }
            break;
    } });
}
defineCustomElement();

export { TransactionToastContent as T, defineCustomElement as d };

//# sourceMappingURL=p-2744f11b.js.map