import { p as proxyCustomElement, H, c as createEvent, h } from './p-4a8dc038.js';

const genericModalCss = ":host{display:block}.modal{position:fixed;z-index:1000;left:0;top:0;width:100%;height:100%;background-color:rgba(0, 0, 0, 0.4);overflow:auto}.modal-content{background-color:#ffffff;margin:5% auto;padding:20px;border-radius:12px;width:90%;max-width:600px}.modal-header{text-align:center;margin-bottom:20px}.close{float:right;cursor:pointer;padding:5px}";
const GenericModalStyle0 = genericModalCss;

const GenericModal = /*@__PURE__*/ proxyCustomElement(class GenericModal extends H {
    constructor() {
        super();
        this.__registerHost();
        this.close = createEvent(this, "close", 7);
    }
    render() {
        return (h("div", { key: 'a0eaaabad89ae851b51f611fa5e8c27e0d8a5dfa', class: "modal" }, h("div", { key: '9fedcfb712463a8317dfa2e866c2b3a0efecab25', class: "modal-content" }, h("div", { key: '7c440e82fda71a578fea3d088426e2934329f5ef', class: "modal-header" }, h("span", { key: '1f060cb243246ee231d5f0226a345e536ad53304', class: "close", onClick: () => this.close.emit() }, "\u2715"), h("h2", { key: '5af332c03ad477fafbcf1ebefcb2fc7d549a2a5b' }, this.modalTitle), this.modalSubtitle && h("h4", { key: 'f2abbe728dbe548bfb77745590bd0d0774c09915' }, this.modalSubtitle)), this.body)));
    }
    static get style() { return GenericModalStyle0; }
}, [0, "generic-modal", {
        "body": [16],
        "modalTitle": [1, "modal-title"],
        "modalSubtitle": [1, "modal-subtitle"]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["generic-modal"];
    components.forEach(tagName => { switch (tagName) {
        case "generic-modal":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, GenericModal);
            }
            break;
    } });
}
defineCustomElement();

export { GenericModal as G, defineCustomElement as d };

//# sourceMappingURL=p-4fecf7df.js.map