import { p as proxyCustomElement, H, h } from './p-4a8dc038.js';
import { c as classNames } from './p-12360e4c.js';
import { b as faCircleNotch, c as faCheck, f as faTimes, g as getIconHtmlFromIconDefinition } from './p-c259d0a4.js';
import { D as DataTestIdsEnum } from './p-9e82c699.js';

const transactionToastDetailsBodyCss = ".transaction-container {\n  line-height: 1.5;\n  font-size: 0.875rem;\n  padding-right: 0.5rem;\n  display: flex;\n  align-items: center;\n  margin-bottom: 0.2rem;\n\n  .icon {\n    svg {\n      font-size: 0.875rem;\n      color: #6c757d;\n      margin-right: 0.25rem;\n      width: 1rem;\n    }\n  }\n  .fa-spin {\n    svg {\n      animation: spin 2s linear infinite;\n    }\n  }\n\n  .trim {\n    width: 11rem;\n    white-space: nowrap;\n    margin-right: 1rem;\n  }\n}\n\n@keyframes spin {\n  0% {\n    transform: rotate(0deg);\n  }\n  100% {\n    transform: rotate(360deg);\n  }\n}\n";
const TransactionToastDetailsBodyStyle0 = transactionToastDetailsBodyCss;

const iconData = {
    pending: faCircleNotch,
    success: faCheck,
    fail: faTimes,
    invalid: faTimes,
};
const TransactionDetailsBody = /*@__PURE__*/ proxyCustomElement(class TransactionDetailsBody extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this.transactionClass = 'transaction-container';
    }
    render() {
        const statusIcon = this.status ? iconData[this.status] : null;
        const iconHtml = statusIcon ? getIconHtmlFromIconDefinition(statusIcon) : null;
        return (h("div", { class: this.transactionClass, key: this.hash, "data-testid": DataTestIdsEnum.transactionDetailsToastBody }, iconHtml && (h("div", { key: '0b822a578553598633efdb8ba0c6fb3b1b455e9f', innerHTML: iconHtml, class: classNames('icon', {
                'fa-spin': this.status === 'pending',
            }) })), h("span", { key: '9ec4e3f008f4da8a1c3a46edf91f0ac2a9cf419b' }, this.hash.length > 12 ? `${this.hash.slice(0, 6)}...${this.hash.slice(-6)}` : this.hash)));
    }
    static get style() { return TransactionToastDetailsBodyStyle0; }
}, [1, "transaction-toast-details-body", {
        "transactionClass": [1, "transaction-class"],
        "status": [1],
        "hash": [1]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["transaction-toast-details-body"];
    components.forEach(tagName => { switch (tagName) {
        case "transaction-toast-details-body":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TransactionDetailsBody);
            }
            break;
    } });
}
defineCustomElement();

export { TransactionDetailsBody as T, defineCustomElement as d };

//# sourceMappingURL=p-6287e380.js.map