import { p as proxyCustomElement, H, c as createEvent, h } from './p-4a8dc038.js';
import { g as getIconHtmlFromIconDefinition, f as faTimes } from './p-c259d0a4.js';
import { c as classNames } from './p-12360e4c.js';
import { D as DataTestIdsEnum } from './p-9e82c699.js';
import { g as getIconHtmlFromIconName } from './p-15fcc231.js';
import { d as defineCustomElement$1 } from './p-516b58b2.js';

const simpleToastCss = ".content {\n  display: flex;\n  align-items: center;\n}\n\n.content-left {\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  flex-direction: column;\n  padding-left: 0.5rem;\n  padding-right: 0.75rem;\n\n  &.no-icon {\n    display: none;\n  }\n}\n\n.content-icon {\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  width: 3rem;\n  height: 3rem;\n  border-radius: 50%;\n\n  svg {\n    height: auto;\n    width: 20px;\n\n    path {\n      fill: white;\n    }\n  }\n}\n\n.icon-close {\n  position: absolute;\n  right: 16px;\n  top: 16px;\n  font-size: 1.5rem;\n  font-weight: 700;\n  line-height: 1;\n  color: #000;\n  text-shadow: 0 1px 0 #fff;\n  opacity: 0.5;\n  padding: 0;\n  background-color: rgba(0, 0, 0, 0);\n  border: 0;\n  display: flex;\n  align-items: center;\n  margin: 0 0.5rem;\n  width: 12px;\n}\n\n.content-right {\n  display: flex;\n  flex-direction: column;\n  justify-content: center;\n  width: 100%;\n}\n\n.content-heading {\n  display: flex;\n  justify-content: space-between;\n  align-items: center;\n  margin-bottom: 0.25rem;\n\n  h5 {\n    margin: 0;\n    margin-bottom: 0.5rem;\n    font-weight: 500;\n    line-height: 1.2;\n    font-size: 1.25rem;\n  }\n}\n\n.content-message {\n  margin-top: 0.25rem;\n  font-size: 1rem;\n  &.no-margin {\n    margin-top: 0rem;\n  }\n}\n\n.subtitle {\n  font-size: 0.9rem;\n  font-weight: 500;\n  color: #6c757d;\n}\n\n.success {\n  background-color: #5cb85c;\n}\n\n.warning {\n  background-color: #ffc107;\n}\n\n.danger {\n  background-color: #d9534f;\n}\n";
const SimpleToastStyle0 = simpleToastCss;

const SimpleToast = /*@__PURE__*/ proxyCustomElement(class SimpleToast extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this.handleDeleteToast = createEvent(this, "handleDeleteToast", 7);
    }
    render() {
        const { icon, iconClassName, title, message, subtitle } = this.toast;
        let iconHtml = null;
        if (typeof icon === 'string') {
            iconHtml = getIconHtmlFromIconName(icon);
        }
        if (icon instanceof H) {
            iconHtml = icon.outerHTML;
        }
        return (h("transaction-toast-wrapper", { key: '776176d6427fb4f2a648fab2a8e8401281e14159', wrapperId: `toast-${this.toast.toastId}` }, h("div", { key: 'd258f9f3f3ebb7303cff49e1cb0c24a554db1639', class: "content", "data-testid": DataTestIdsEnum.transactionToastContent }, iconHtml && (h("div", { key: '0beee35f34d64e63d6a3007b00b85b66d32f48df', class: classNames('content-left', { 'no-icon': !iconHtml }) }, h("div", { key: '94b016e9d018e7972c06635cdead7b14b1d7388a', class: classNames('content-icon', iconClassName), innerHTML: iconHtml }))), h("div", { key: '42103aaba39010b8ec49e2f3683b4a4365417115', class: "content-right" }, title && (h("div", { key: 'a70a83f7e8ed44f5d0f26641721352dea9aad6ab', class: "content-heading" }, h("h5", { key: 'b6821910596b1659608677ee4bf7248cac6e63dc', class: "content-heading-title", "data-testid": DataTestIdsEnum.transactionToastTitle }, title))), h("button", { key: '2b60a4072630197460c564d3a62fe8b539b6a9ee', onClick: () => this.handleDeleteToast.emit(), type: "button", class: "icon-close", innerHTML: getIconHtmlFromIconDefinition(faTimes) }), subtitle && h("div", { key: '8180f83a160b36e89d5edf0f6760d858636984c1', class: "subtitle" }, subtitle), message && h("div", { key: '2d49d69ef9c11d956800e30641741a0c803c803d', class: classNames('content-message', { 'no-margin': !title && !subtitle }) }, message)))));
    }
    static get style() { return SimpleToastStyle0; }
}, [1, "simple-toast", {
        "toast": [16]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["simple-toast", "transaction-toast-wrapper"];
    components.forEach(tagName => { switch (tagName) {
        case "simple-toast":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, SimpleToast);
            }
            break;
        case "transaction-toast-wrapper":
            if (!customElements.get(tagName)) {
                defineCustomElement$1();
            }
            break;
    } });
}
defineCustomElement();

export { SimpleToast as S, defineCustomElement as d };

//# sourceMappingURL=p-e970c945.js.map