import { p as proxyCustomElement, H, h, f as forceUpdate } from './p-4a8dc038.js';
import { E as EventBus } from './p-9d530225.js';
import { d as defineCustomElement$a } from './p-1e57695e.js';
import { d as defineCustomElement$9 } from './p-adeef1ab.js';
import { d as defineCustomElement$8 } from './p-e970c945.js';
import { d as defineCustomElement$7 } from './p-f4e1ef7f.js';
import { d as defineCustomElement$6 } from './p-2744f11b.js';
import { d as defineCustomElement$5 } from './p-807e6b6a.js';
import { d as defineCustomElement$4 } from './p-6287e380.js';
import { d as defineCustomElement$3 } from './p-61e2a22b.js';
import { d as defineCustomElement$2 } from './p-516b58b2.js';

var ToastEventsEnum;
(function (ToastEventsEnum) {
    ToastEventsEnum["CLOSE_TOAST"] = "CLOSE_TOAST";
    ToastEventsEnum["TRANSACTION_TOAST_DATA_UPDATE"] = "TRANSACTION_TOAST_DATA_UPDATE";
    ToastEventsEnum["CUSTOM_TOAST_DATA_UPDATE"] = "CUSTOM_TOAST_DATA_UPDATE";
})(ToastEventsEnum || (ToastEventsEnum = {}));

const toastListCss = ".toast-list{position:fixed;bottom:1rem;left:1rem;right:1rem;z-index:9999}@media (min-width: 760px){.toast-list{right:2rem;bottom:2rem;width:22.5rem;left:auto}}";
const ToastListStyle0 = toastListCss;

const ToastList$1 = /*@__PURE__*/ proxyCustomElement(class ToastList extends H {
    constructor() {
        super();
        this.__registerHost();
        this.eventBus = new EventBus();
    }
    async getEventBus() {
        return this.eventBus;
    }
    render() {
        var _a, _b;
        return (h("div", { key: '69e7231f59b74e9da4210a1d1d6957db05e09074', class: "toast-list", id: "toast-list" }, (_a = this.customToasts) === null || _a === void 0 ? void 0 :
            _a.map(toast => (h("generic-toast", { toast: toast, onHandleDeleteToast: () => this.eventBus.publish(ToastEventsEnum.CLOSE_TOAST, toast.toastId) }))), (_b = this.transactionToasts) === null || _b === void 0 ? void 0 :
            _b.map(toast => (h("transaction-toast", Object.assign({}, toast, { onHandleDeleteToast: () => this.eventBus.publish(ToastEventsEnum.CLOSE_TOAST, toast.toastId) }))))));
    }
    transactionToastUpdate(payload) {
        this.transactionToasts = [...payload];
        forceUpdate(this);
    }
    customToastsUpdate(payload) {
        this.customToasts = [...payload];
        forceUpdate(this);
    }
    componentDidLoad() {
        this.eventBus.subscribe(ToastEventsEnum.TRANSACTION_TOAST_DATA_UPDATE, this.transactionToastUpdate.bind(this));
        this.eventBus.subscribe(ToastEventsEnum.CUSTOM_TOAST_DATA_UPDATE, this.customToastsUpdate.bind(this));
    }
    static get style() { return ToastListStyle0; }
}, [0, "toast-list", {
        "transactionToasts": [16],
        "customToasts": [16],
        "getEventBus": [64]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["toast-list", "custom-toast", "generic-toast", "simple-toast", "transaction-toast", "transaction-toast-content", "transaction-toast-details", "transaction-toast-details-body", "transaction-toast-progress", "transaction-toast-wrapper"];
    components.forEach(tagName => { switch (tagName) {
        case "toast-list":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, ToastList$1);
            }
            break;
        case "custom-toast":
            if (!customElements.get(tagName)) {
                defineCustomElement$a();
            }
            break;
        case "generic-toast":
            if (!customElements.get(tagName)) {
                defineCustomElement$9();
            }
            break;
        case "simple-toast":
            if (!customElements.get(tagName)) {
                defineCustomElement$8();
            }
            break;
        case "transaction-toast":
            if (!customElements.get(tagName)) {
                defineCustomElement$7();
            }
            break;
        case "transaction-toast-content":
            if (!customElements.get(tagName)) {
                defineCustomElement$6();
            }
            break;
        case "transaction-toast-details":
            if (!customElements.get(tagName)) {
                defineCustomElement$5();
            }
            break;
        case "transaction-toast-details-body":
            if (!customElements.get(tagName)) {
                defineCustomElement$4();
            }
            break;
        case "transaction-toast-progress":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "transaction-toast-wrapper":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
    } });
}
defineCustomElement$1();

const ToastList = ToastList$1;
const defineCustomElement = defineCustomElement$1;

export { ToastList, defineCustomElement };

//# sourceMappingURL=toast-list.js.map