import { p as proxyCustomElement, H, h } from './p-4a8dc038.js';
import { d as defineCustomElement$5 } from './p-a1b63fa2.js';
import { d as defineCustomElement$4 } from './p-6eff5d53.js';
import { d as defineCustomElement$3 } from './p-c902ee53.js';
import { d as defineCustomElement$2 } from './p-edb26b1f.js';

const transactionsTableCss = ".transactions-table{width:100%;border-top-width:1px;border-bottom-width:1px;border-color:#e5e7eb;overflow:auto;table-layout:auto}.transactions-table-header{background-color:#f9fafb}.transactions-table-header-cell{padding:0.75rem 1rem;text-align:left;font-size:0.75rem;line-height:1rem;font-weight:500;color:#6b7280;text-transform:uppercase;letter-spacing:0.05em;width:16.666667%}.transactions-table-body{background-color:#ffffff;border-top-width:1px;border-bottom-width:1px;border-color:#e5e7eb}.transactions-table-body-cell{align-items:center;display:flex;justify-content:center}";
const TransactionsTableStyle0 = transactionsTableCss;

const COLUMNS = ['TxHash', 'Age', 'Shard', 'From', 'To', 'Method', 'Value'];
const TransactionsTable$1 = /*@__PURE__*/ proxyCustomElement(class TransactionsTable extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
    }
    render() {
        return (h("table", { key: '6419a9831116e4bb6209e2b3f224c7cf482d0964', class: "transactions-table" }, h("thead", { key: '71416e1772ebf7c522c0ee1b9aa165ff6f6c5b41', class: "transactions-table-header" }, h("tr", { key: '76219ac65d5472e00ac34ccb7af0fb53867aceca' }, COLUMNS.map(column => (h("th", { key: column, scope: "col", class: "transactions-table-header-cell" }, column))))), h("tbody", { key: 'a71b7c9993ff103d39bcca4ce21a2b6fa2174bb8', class: "transactions-table-body" }, this.transactions.map(transaction => (h("transaction-row", { key: transaction.txHash, transaction: transaction }))))));
    }
    static get style() { return TransactionsTableStyle0; }
}, [1, "transactions-table", {
        "transactions": [16]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["transactions-table", "explorer-link", "transaction-hash", "transaction-icon", "transaction-row"];
    components.forEach(tagName => { switch (tagName) {
        case "transactions-table":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TransactionsTable$1);
            }
            break;
        case "explorer-link":
            if (!customElements.get(tagName)) {
                defineCustomElement$5();
            }
            break;
        case "transaction-hash":
            if (!customElements.get(tagName)) {
                defineCustomElement$4();
            }
            break;
        case "transaction-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "transaction-row":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
    } });
}
defineCustomElement$1();

const TransactionsTable = TransactionsTable$1;
const defineCustomElement = defineCustomElement$1;

export { TransactionsTable, defineCustomElement };

//# sourceMappingURL=transactions-table.js.map