import { r as registerInstance, h } from './index-1a8b9515.js';
import { g as getIconHtmlFromIconDefinition, a as faArrowUpRightFromSquare, c as classNames, f as faTimes } from './index-83fd1e89.js';
import { D as DataTestIdsEnum } from './dataTestIds.enum-a7ccf1b4.js';

const explorerLinkCss = "";
const ExplorerLinkStyle0 = explorerLinkCss;

const ExplorerLink = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.class = 'explorer-link';
    }
    render() {
        var _a, _b;
        const icon = getIconHtmlFromIconDefinition((_a = this.icon) !== null && _a !== void 0 ? _a : faArrowUpRightFromSquare);
        return (h("a", { key: 'd7c5b1f5dcd06fbd1d110f51c0a39311676e1c61', "data-testid": this.dataTestId, href: this.link, target: "_blank", class: this.class, rel: "noreferrer" }, (_b = this.text) !== null && _b !== void 0 ? _b : h("span", { key: 'cd89c0f65244c5c7e03b06db1b64d84a39a0f6b5', innerHTML: icon })));
    }
};
ExplorerLink.style = ExplorerLinkStyle0;

const transactionHashCss = ":host{display:block}";
const TransactionHashStyle0 = transactionHashCss;

const TransactionHash = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        return (h("div", { key: 'a28750953bb9b1d2fde8b2e03b89f0461f14b95d', class: "transactions-table-body-cell" }, h("transaction-icon", { key: 'e31f2421a48a2b8093ef73d85d765947a1048c6a', "icon-info": this.transaction.iconInfo }), h("explorer-link", { key: '2022d41b5a8f0592dca4dba20ca0eceda6179669', dataTestId: DataTestIdsEnum.transactionLink, link: this.transaction.link, text: this.transaction.txHash })));
    }
};
TransactionHash.style = TransactionHashStyle0;

const transactionIconCss = "";
const TransactionIconStyle0 = transactionIconCss;

const TransactionIcon = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        const iconHtml = getIconHtmlFromIconDefinition(this.iconInfo.icon);
        return (h("div", { key: 'd693445f38195307c3a43a63104ed10750786336', class: classNames({
                'fa-sm': this.iconInfo.icon === faTimes,
            }), innerHTML: iconHtml, title: this.iconInfo.tooltip }));
    }
};
TransactionIcon.style = TransactionIconStyle0;

export { ExplorerLink as explorer_link, TransactionHash as transaction_hash, TransactionIcon as transaction_icon };

//# sourceMappingURL=explorer-link_3.entry.js.map