import { r as registerInstance, h } from './index-1a8b9515.js';
import { D as DataTestIdsEnum } from './dataTestIds.enum-a7ccf1b4.js';

const formatAmountCss = ".int-amount{color:inherit}.decimals{color:inherit}.symbol{color:inherit}";
const FormatAmountStyle0 = formatAmountCss;

const FormatAmount = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.dataTestId = DataTestIdsEnum.formatAmountComponent;
    }
    render() {
        return this.isValid ? this.renderValid() : this.renderInvalid();
    }
    renderInvalid() {
        return (h("span", { "data-testid": this.dataTestId, class: this.class }, h("span", { class: "int-amount", "data-testid": DataTestIdsEnum.formatAmountInt }, "...")));
    }
    renderValid() {
        return (h("span", { "data-testid": this.dataTestId, class: this.class }, h("span", { class: "int-amount", "data-testid": DataTestIdsEnum.formatAmountInt }, this.valueInteger), this.valueDecimal && (h("span", { class: "decimals", "data-testid": DataTestIdsEnum.formatAmountDecimals }, ".", this.valueDecimal)), this.label && (h("span", { class: {
                symbol: true,
                [this.labelClass]: Boolean(this.labelClass),
            }, "data-testid": DataTestIdsEnum.formatAmountSymbol }, this.label))));
    }
};
FormatAmount.style = FormatAmountStyle0;

export { FormatAmount as format_amount };

//# sourceMappingURL=format-amount.entry.js.map