import { r as registerInstance, c as createEvent, h } from './index-1a8b9515.js';

const GenericToast = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.handleDeleteToast = createEvent(this, "handleDeleteToast", 7);
    }
    render() {
        const isComponentToast = 'instantiateToastElement' in this.toast;
        if (isComponentToast) {
            return h("custom-toast", { toast: this.toast, onHandleDeleteToast: () => this.handleDeleteToast.emit(this.toast.toastId) });
        }
        return h("simple-toast", { toast: this.toast, onHandleDeleteToast: () => this.handleDeleteToast.emit(this.toast.toastId) });
    }
};

const TransactionToast = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.handleDeleteToast = createEvent(this, "handleDeleteToast", 7);
        this.toastId = '';
        this.processedTransactionsStatus = '';
        this.transactions = [];
    }
    render() {
        var _a, _b;
        return (h("transaction-toast-wrapper", { key: 'e2199d9a8a87ac110f8623e64c7f99a4790cc19c', wrapperId: `toast-${this.toastId}`, wrapperClass: this.wrapperClass }, h("transaction-toast-progress", { key: this.toastId, progressClass: (_a = this.transactionProgressState) === null || _a === void 0 ? void 0 : _a.progressClass, currentRemaining: (_b = this.transactionProgressState) === null || _b === void 0 ? void 0 : _b.currentRemaining }, h("transaction-toast-content", { key: '99a4bea7453d57203aae662a137c1f38705abc67', onDeleteToast: () => this.handleDeleteToast.emit(this.toastId), processedTransactionsStatus: this.processedTransactionsStatus, toastDataState: this.toastDataState, transactions: this.transactions }))));
    }
};

export { GenericToast as generic_toast, TransactionToast as transaction_toast };

//# sourceMappingURL=generic-toast_2.entry.js.map